<?php

namespace App\Filament\Resources\Poles\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class PoleForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('libellear')
                    ->required(),
                TextInput::make('libellefr')
                    ->required(),
                TextInput::make('inspecteur_id')
                    ->numeric()
                    ->default(null),
            ]);
    }
}
